Bug 143291 - Selecting the None slide transition has no effect
Summary: Selecting the None slide transition has no effect
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.0.2 target:7....
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2021-07-10 10:12 UTC by rogern
Modified: 2021-07-14 04:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rogern 2021-07-10 10:12:27 UTC
Description:
Attempting to remove a slide transition by selecting the None transition does not work. The previously applied slide transition remains.

Steps to Reproduce:
1.Add a transition to a slide
2.Try to remove it by selecting the None transition


Actual Results:
The transition applied in step 1 remains set

Expected Results:
The transition applied in step 1 should be removed


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Running LibreOffice on Fedora 34 KDE.
Comment 1 Julien Nabet 2021-07-10 20:59:28 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2021-07-11 19:28:45 UTC
Regression due to https://cgit.freedesktop.org/libreoffice/core/commit/?id=e2970060121824650f95421d8d2411840a40311f
author	Caolán McNamara <caolanm@redhat.com>	2021-05-27 20:37:50 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2021-05-28 09:46:22 +0200
commit	e2970060121824650f95421d8d2411840a40311f (patch)
tree	b798a38803832d47433f1cf76679def63e68b79b
parent	164fecadfde2569cb5324017d9bf22e2963008b3 (diff)
tdf#142150 nothing already selected on MouseUp without previous MouseDown
if mouse down was on tooltip (possible on macOS)

Caolán: I saw that this commit was already to fix another regression. Thought you might have some idea here.
Comment 3 Julien Nabet 2021-07-11 21:01:13 UTC
Detailed step by step process to reproduce this:
- Launch Impress
- click F11 to make the sidebar appear if it's not present
- click the seventh icon "Slide Transition"
=> Slide Transition appears with "None", "Wipe", "Wheel", etc. (each row contains 3 icons) 12 rows with 3 icons each
- click "Wipe" icon
=> a preview of Wipe appears and at left, the thumbnail of the slide has a small icon to indicated the slide has now a transition
- click "None"
=> the small icon doesn't disappear (and the transition isn't removed).

I don't reproduce this with LO 7.0.4.2 Debian package.

This allows to add the "No selection" image.
    446     // dummy list box of slide transitions for startup.
    447     mxVS_TRANSITION_ICONS->InsertItem(
    448         0, Image( StockImage::Yes, "sd/cmd/transition-none.png" ),
    449         SdResId( STR_SLIDETRANSITION_NONE ),
    450         VALUESET_APPEND, /* show legend */ true );
    451     mxVS_TRANSITION_ICONS->Recalculate();
Comment 4 Caolán McNamara 2021-07-12 10:51:06 UTC
Its trying to use an itemid of 0 which valuesets aren't supposed to allow and then seems to try to equate "nothing selected" as equivalent to the "none" item selected.
Comment 5 Commit Notification 2021-07-12 19:40:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/57980fa601a868e50d6afd0ca5b5c2f15eeb9539

tdf#143291 the "none" item selected is distinct from nothing selected

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2021-07-12 19:46:10 UTC
backports to 7-2, 7-1 and 7-1-5 in gerrit
Comment 7 Julien Nabet 2021-07-12 19:57:22 UTC
After having tested again with the patch, I confirm it works again now!
Thank you Caolán!
Comment 8 Commit Notification 2021-07-12 21:55:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/f91ffe03e035cff1204de230ec78fc0aa1bdbb36

tdf#143291 the "none" item selected is distinct from nothing selected

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-07-12 22:24:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/c5dfab1aca06ff52345186cd4bcf42677598c91f

tdf#143291 the "none" item selected is distinct from nothing selected

It will be available in 7.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-07-13 09:52:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-5":

https://git.libreoffice.org/core/commit/312f9e1339d7925614a59ab08f0e65d2b5a9d87d

tdf#143291 the "none" item selected is distinct from nothing selected

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 R. Bingham 2021-07-14 04:05:11 UTC
Version: 7.1.4.2 (x64) / LibreOffice Community
Build ID: a529a4fab45b75fefc5b6226684193eb000654f6
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded

FYI,

There is an additional side-effect: when inserting a new slide in the sidebar or slide sorter view, the new slide inherits the slide transition of the immediately preceeding slide or in the case of inserting before slide 1 the new slide inherits the transition of slide 1. This means that if you have a presentation where all slides have transitions you cannot insert a new slide WITHOUT a transition. Oops.

Workaround: File->New->Presentation a dummy preso then copy/paste a non-transition slide from the dummy preso to the afflicted preso.

Regards.